/*  crypto.h -- Crypto interface for Intercom
    Copyright (C) 2001-2003  Shane Wegner
    This file is part of Intercom.

    Intercom is free software; you can redistribute it and/or modify it
    under the terms of version 2 of the GNU General Public License as
    published by the Free Software Foundation.

    Intercom is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of version 2 of the GNU General Public
    License along with Intercom; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

    To contact the author, please send email to shane@cm.nu.
    */

/* $Id: crypto.h,v 1.5 2003/02/13 20:22:49 shane Exp $ */

#ifndef CRYPTO_H
#define CRYPTO_H

#include <sys/types.h>

/* Convert a string into an encryption type suitable for a call packet */
/* Returns -1 if no appropriate match was found. */
int cr_type_fromstr(const char *s);
/* Set a key using a null-terminated passphrase */
/* The key will be store in the call structure as appropriate. */
void cr_set_key(const char *passphrase);
/* The following two functions use the call structure for encryption data and *
 * encrypts/decrypts respectively.  Arguments are obvious save outl which *
 * is a pointer to size_t which will be set to the len of the output *
 *buffer. */
/* Note also that the input string size should be a multiple of 8 even *
 * if inl is not. */
void cr_encrypt(const char *in, size_t inl, char *out, size_t *outl);
void cr_decrypt(const char *in, size_t inl, char *out, size_t *outl);

#endif
