/*  gain.h -- Gain control routines
    Copyright (C) 2001-2003  Shane Wegner
    This file is part of Intercom.

    Intercom is free software; you can redistribute it and/or modify it
    under the terms of version 2 of the GNU General Public License as
    published by the Free Software Foundation.

    Intercom is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of version 2 of the GNU General Public
    License along with Intercom; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

    To contact the author, please send email to shane@cm.nu.
    */

/* $Id: gain.h,v 1.2 2003/02/13 20:22:49 shane Exp $ */

#ifndef GAIN_H
#define GAIN_H

struct gain {
short *tbl;
short *tblp;
double gain;
double gain_db;
};

struct gain *gain_init(double gain);

/* Apply a gain to *buff for the number of sample in samples */
void gain_apply(struct gain *handle, short *buff, size_t samples);

void gain_free(struct gain *handle);

#endif
