/*  hooks.h -- User-defined event hook support for Intercom
    Copyright (C) 2001-2003  Shane Wegner
    This file is part of Intercom.

    Intercom is free software; you can redistribute it and/or modify it
    under the terms of version 2 of the GNU General Public License as
    published by the Free Software Foundation.

    Intercom is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of version 2 of the GNU General Public
    License along with Intercom; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

    To contact the author, please send email to shane@cm.nu.
    */

/* $Id: hooks.h,v 1.7 2003/02/13 20:22:49 shane Exp $ */

#ifndef HOOKS_H
#define HOOKS_H

#include <sys/types.h>

typedef enum {
hk_invalid,
hk_call_incoming,
hk_call_outgoing,
hk_call_connect,
hk_hangup_lc,
hk_hangup_rmt,
hk_sighup,
} hk_type_t;

struct hook_info {
int id;
hk_type_t type;
char *cmd;
struct hook_info *next;
};

extern struct hook_info *hook_list;

hk_type_t hk_strtotype(const char *s);
int hk_add(hk_type_t type, const char *cmd);
int hk_clear(int id);
int hk_cleartype(hk_type_t type);
int hk_clearall(void);
int hk_trigger(hk_type_t type);

#endif
