/*  userdefs.h -- Declarations and prototypes for userdefs.c
    Copyright (C) 2001-2003  Shane Wegner
    This file is part of Intercom.

    Intercom is free software; you can redistribute it and/or modify it
    under the terms of version 2 of the GNU General Public License as
    published by the Free Software Foundation.

    Intercom is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of version 2 of the GNU General Public
    License along with Intercom; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

    To contact the author, please send email to shane@cm.nu.
    */

/* $Id: userdefs.h,v 1.8 2003/02/13 20:22:49 shane Exp $ */

#ifndef userdefs_h
#define userdefs_h

typedef enum { opt_int, opt_float, opt_str } useropt_type_t;
struct user_option {
char *key;
useropt_type_t type;
char *def_value;
const char *desc;
int (*validate)(const char *value);
char *value;
};

extern struct user_option useropts[];

int opt_find(const char *key);
int opt_get_int(const char *key);
int opt_set_int(const char *key, int val);
float opt_get_float(const char *key);
int opt_set_float(const char *key, float val);
char *opt_get_str(const char *key);
int opt_set_str(const char *key, const char *val);
void opt_init(void);

#endif
